> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reducto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Jobs



## OpenAPI

````yaml /openapi.json get /jobs
openapi: 3.1.0
info:
  title: Reducto API
  version: dev
servers:
  - url: https://platform.reducto.ai
security: []
paths:
  /jobs:
    get:
      summary: Get Jobs
      operationId: get_jobs_jobs_get
      parameters:
        - name: exclude_configs
          in: query
          required: false
          schema:
            type: boolean
            description: Exclude raw_config from response to reduce size
            default: false
            title: Exclude Configs
          description: Exclude raw_config from response to reduce size
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Cursor for pagination. Use the next_cursor from the previous
              response to fetch the next page.
            title: Cursor
          description: >-
            Cursor for pagination. Use the next_cursor from the previous
            response to fetch the next page.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            description: >-
              Maximum number of jobs to return per page. Defaults to 100, max
              500.
            default: 100
            title: Limit
          description: Maximum number of jobs to return per page. Defaults to 100, max 500.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - SkippableHTTPBearer: []
components:
  schemas:
    JobsResponse:
      properties:
        jobs:
          items:
            $ref: '#/components/schemas/SingleJob'
          type: array
          title: Jobs
          description: >-
            List of jobs with their job_id, status, type, raw_config,
            created_at, num_pages and duration
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: >-
            Cursor to fetch the next page of results. If null, there are no more
            results.
      type: object
      required:
        - jobs
      title: JobsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SingleJob:
      properties:
        job_id:
          type: string
          title: Job Id
        status:
          type: string
          enum:
            - Pending
            - Completed
            - Failed
            - Idle
            - InProgress
            - Completing
            - Cancelled
          title: Status
        type:
          type: string
          enum:
            - Parse
            - Extract
            - Split
            - Edit
            - Pipeline
            - Classify
          title: Type
        raw_config:
          type: string
          title: Raw Config
        created_at:
          type: string
          format: date-time
          title: Created At
        source:
          anyOf:
            - {}
            - type: 'null'
          title: Source
        num_pages:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Pages
        total_pages:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Pages
        duration:
          anyOf:
            - type: number
            - type: 'null'
          title: Duration
        bucket:
          anyOf:
            - {}
            - type: 'null'
          title: Bucket
      type: object
      required:
        - job_id
        - status
        - type
        - raw_config
        - created_at
        - num_pages
        - total_pages
        - duration
      title: SingleJob
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    SkippableHTTPBearer:
      type: http
      scheme: bearer

````